My Nyon displays error message "531" and no longer works. Also my eBike has no more motor support.

This message appears if the software version of the drive unit of your eBike is too old (< DU SW 1.5.0.0) and is incompatible with the software version of your Nyon (as of 1.3.0.0). In this case, the values for the individual ride modes set in your profile are unable to access and run the outdated drive unit software. This therefore blocks the eBike.

Please have the drive unit updated by your eBike dealer to the latest version to ensure compatibility with the latest versions of the Nyon and portal. You will then be able to use your eBike and Nyon as usual.

Didn't find what you were looking for?

Further information and instructions for use can be found in the corresponding owner's manual.

To the owner's manual

Back to overview